
config more[off]
spool file[p_hww25.out]


# PROJECT: 		Healthy, Wealthy, & Wise (AHEAD Data)
# FACULTY:		Dan McFadden
# AUTHOR:		Peter Adams
# LAST UPDATE:		February 13, 2003
# PROGRAM DESC:		Outfile Simulation Sample (ages 70-74)


load file[~/padams/hww/probit/hww123]

set zero=zero
set one=one

set missing=miss(one, as701, as801, q1wb1, q4wb1, q1ib1, q4ib1, \
	hs, coll, hoodpf1, condpf1, nevmarr1, widow1, divsep1, \
	magedie1, pagedie1, smokev) 

#	cancer1, heart1, stroke1, \
#	lung1, diabet1, highbp1, arthrt1, incont1, fall1, hipfrc1, \
#	proxyw1, cogim1, psych1, depres1, bmi1, lobmi1, hibmi1, \
#	smoknow1, numadl1, numiadl1, dhlth1)

set smiss=miss(sas701, sas801, s_hs, s_coll, smagedi1, spagedi1, \
		ssmokev)
		 
set valid=((white==1)&(agegrp1==1)&(missing==0)&(hhlevel==1))
set valid=0; if[(smiss==1)&(married1==1)]

freq var[valid]
	
# ====================================================================
# OUTFILE DATA
# ====================================================================

save file[junk] if[valid==1]

load file[junk]

save file[~/padams/hww/simul/rawdata/sample1] var[one as701 as801 \
	q1wb1 q4wb1 q1ib1 q4ib1 hs coll hoodpf1 condpf1 nevmarr1 \
	widow1 divsep1 magedie1 pagedie1 smokev \
	hhid n2hhidw1 male female agem1 married1 single1 \
	c_2w1 c_2l1 c_2n1 c_2i1 q_2wb1 q_2ib1 wlth1 inc1 dnhous1 \
	spas701 spas801 s_hs s_coll smagedi1 spagedi1 ssmokev \
        sagem1] dbase

clear
load file[~/padams/hww/simul/rawdata/sample1] dbase
list

spool off
quit

